11.8.4   os16: proc_dump_memory(9)

NOME

    proc_dump_memory - copia di una porzione di memoria in un file

SINTASSI

    <kernel/proc.h>
    void proc_dump_memory (pid_t <pid>, addr_t <address>, size_t <size>,
                           char *<name>);

ARGOMENTI

    Argomento        Descrizione
    pid_t <pid>      Il numero del processo elaborativo per conto del quale si
                     agisce.
    addr_t <address> Indirizzo efficace della memoria.

    size_t <size>    Quantita` di byte da trascrivere, a partire dall'indirizzo
                     efficace.
    char *<name>     Nome del file da creare.

DESCRIZIONE

    La funzione <proc_dump_memory()> salva in un file una porzione di memoria,
    secondo le coordinate fornita dagli argomenti.

    Viene usata esclusivamente da proc_sig_core(9) [11.8.6], quando si riceve
    un segnale per cui e` necessario scaricare la memoria di un processo. In
    quel caso, se il processo eliminato ha i permessi per scrivere nella
    directory radice, vengono creati due file: uno con l'immagine del segmento
    codice (/core.i) e l'altro con l'immagine del segmento dati (/core.d).

FILE SORGENTI

    kernel/proc.h [12.9]

    kernel/proc/proc_sig_core.c [12.9.14]

VEDERE ANCHE

    fd_open(9) [11.3.8], fd_write(9) [11.3.12], fd_close(9) [11.3.3].

